################################################################################
##
##   R package clusrank by Mei-Ling Ting Lee, Jun Yan, and Yujing Jiang
##   Copyright (C) 2015-2017
##
##   This file is part of the R package clusrank.
##
##   The R package clusrank is free software: you can redistribute it and/or
##   modify it under the terms of the GNU General Public License as published
##   by the Free Software Foundation, either version 3 of the License, or
##   (at your option) any later version.
##
##   The R package clusrank is distributed in the hope that it will be useful,
##   but WITHOUT ANY WARRANTY without even the implied warranty of
##   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
##   GNU General Public License for more details.
##
##   You should have received a copy of the GNU General Public License
##   along with the R package clusrank. If not, see <http://www.gnu.org/licenses/>.
##
################################################################################
#' Clustered Non-Stratified Data for Testing Clustered Rank Sum Test
#'
#' Non-stratified data including 3 variables:
#'  id, z, group. Have some missing values.
#'
#' @format
#' A data frame with 340 observations on 3 variables.
#'
#' [, 1] id    cluster id
#'
#' [, 2] z     score
#'
#' [, 3] group group id
#'
#' @name crd
#' @docType data
#' @source \url{https://sites.google.com/a/channing.harvard.edu/bernardrosner/channing/incorporating-cluster-effects-for-
#' the-wilcoxon-rank-sum-test-1/cluswilcox/sample_data}
#' @keywords datasets internal
NULL
